:root {
    --main-color: 32, 109, 105;
    --support-color: 253, 126, 20;
    --text-color: 0, 20, 20;
    --bs-breadcrumb-divider: "•"
}

* {
    font-family: 'Roboto', sans-serif;
}

@font-face {
    font-family: 'Material Symbols Rounded', sans-serif !important;
    src: url('/assets/fonts/material_symbols_rounded/MaterialSymbolsRounded-VariableFont_FILL,GRAD,opsz,wght.ttf') format('truetype');
    font-weight: 100 700; /* Plage de poids */
    font-style: normal;
}

.material-symbols-rounded {
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 24;
}

.w-100px{
    width: 100px;
}

.w-200px{
    width: 200px;
}

.w-250px{
    width: 250px;
}

.w-300px{
    width: 300px;
}

.w-400px{
    width: 400px;
}

.w-500px{
    width: 500px;
}

.w-600px{
    width: 600px;
}
.minw-100{
    min-width: 100px;
}

.minw-200{
    min-width: 200px;
}

.minw-250{
    min-width: 250px;
}

.minw-300{
    min-width: 300px;
}

.minw-400{
    min-width: 400px;
}

.minw-500{
    min-width: 500px;
}

.minw-600{
    min-width: 600px;
}

.maxw-100{
    max-width: 100px;
}

.maxw-200{
    max-width: 200px;
}

.maxw-250{
    max-width: 250px;
}

.maxw-300{
    max-width: 300px;
}

.maxw-400{
    max-width: 400px;
}

.maxw-500{
    max-width: 500px;
}

.maxw-600{
    max-width: 600px;
}

.maxw-700{
    max-width: 700px;
}

.maxw-800{
    max-width: 800px;
}

.maxw-900{
    max-width: 900px;
}

.maxw-1000{
    max-width: 1000px;
}

.min-vh-100{
    min-height: 100vh;
}

h1 {
    font-weight: 300;
}

.heavy {
    font-weight: 700;
}

.rounded-5{
    border-radius: .1rem !important;
}

.rounded-4{
    border-radius: .25rem !important;
}

.rounded-3{
    border-radius: .5rem !important;
}

.rounded-2{
    border-radius: 1rem !important;
}

.rounded-1{
    border-radius: 2rem !important;
}


.link-active{
    font-weight: bold;
    color: rgb(var(--main-color)) !important;
}

.bg-lighter {
    background: rgba(var(--text-color), .1);
}

.bg-darker {
    background: rgba(var(--text-color), .05);
}

.bg-more-darker {
    background: rgba(var(--text-color), .15);
}

.bg-darkest {
    background: rgba(var(--text-color), .25);
}

.fw-heavy{
    font-weight: 900;
}
.btn {
    border: none;
}

.text-primary {
    color: rgb(var(--main-color)) !important;
}

.text-secondary {
    color: rgb(var(--support-color)) !important;
}

.bg-primary {
    background: rgb(var(--main-color)) !important;
}

.bg-primary-light {
    background: rgba(var(--main-color), .05) !important;
}

.bg-primary-medium {
    background: rgba(var(--main-color), .2) !important;
}


.bg-dark-light {
    background: rgba(var(--bs-dark-rgb), .05) !important;
}

.bg-dark-medium {
    background: rgba(var(--bs-dark-rgb), .2) !important;
}
.bg-secondary {
    background-color: rgb(var(--support-color)) !important;
}

.bg-secondary-light{
    background-color: rgba(var(--support-color), .05) !important;
}

.bg-secondary-medium{
    background-color: rgba(var(--support-color), .2) !important;
}

.btn-primary {
    background-color: rgba(var(--main-color), .8);
}

.btn-primary:hover {
    background-color: rgb(var(--main-color));
}

.btn-transparent:hover {
    color: rgb(var(--main-color));
}

.btn-secondary {
    background-color: rgba(var(--support-color), .8);
}

.btn-secondary:hover {
    background-color: rgb(var(--support-color));
}

.bg-dark-5{
    background-color: rgba(0, 0, 0, .05);
}

.img-primary {
    filter: sepia(1) saturate(0) hue-rotate(135deg) brightness(0.8);
}

.border-primary {
    border-color: rgb(var(--main-color)) !important;
}

.border-secondary {
    border-color: rgb(var(--support-color)) !important;
}

.flex-shrink-1 {
    flex-shrink: 1;
}

.accordion-button:not(.collapsed) {
    background-color: rgb(var(--main-color)) !important;
    color:#FFFFFF !important;
}

.accordion-button:not(.collapsed) * {
    color:#FFFFFF !important;
}

.svg-container > svg{
    width: 100% !important;
    height: 100% !important;
}

.line-bottom{
    display: flex;
    align-items: end;
    justify-content: center;
    margin: 0;
    padding: 0 1.5rem;
    border-bottom:1px solid rgba(0, 0, 0, 0.25);
}

.line-bottom li{
    margin: 0;
    padding: 0;
    display: inline-flex;
    align-items: end;
    justify-content: start;
}
.line-bottom li .nav-link{
    display: inline-flex;
    align-items: center;
    margin: 0 1.5rem 0 0;
    padding: .5rem 0;
    color:rgba(0, 0, 0, 0.75);
    border-bottom:3px solid rgba(0, 0, 0, 0.25);
    margin-bottom:-2px;
}

.line-bottom li .nav-link.active{
    color: rgb(var(--main-color));
    border-bottom:3px solid rgb(var(--main-color));
}

.accordion-button {
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

.fs-7{
    font-size: .85rem;
}

.fs-8{
    font-size: .75rem;
}

.fs-9{
    font-size: .65rem;
}

.icon-xxl{
    font-size: 9rem;
}
.icon-xl{
    font-size: 5rem;
}
.icon-lg{
    font-size: 3rem;
}
.icon-md{
    font-size: 2rem;
}
.icon-sm{
    font-size: 1rem;
}
.icon-xs{
    font-size: .5rem;
}

.icon-light{
    font-variation-settings:
    'FILL' 0,
    'wght' 200,
    'GRAD' 0,
    'opsz' 24
}

.icon-bold{
    font-variation-settings:
    'FILL' 0,
    'wght' 600,
    'GRAD' 0,
    'opsz' 24
}

.icon-fill {
    font-variation-settings:
        'FILL' 1 !important;
}

.img-border-link {
    opacity: 0.8;
    transform: scale(0.85);
    transition: transform 0.2s ease, opacity 0.2s ease, border-color 0.2s ease;
}

.img-border-link:hover {
    opacity: 1;
    transform: scale(1);
}

.link-primary{
    color: var(--bs-gray-dark) !important;
}

.link-primary:hover{
    color: rgb(var(--main-color)) !important;
}


.svg-fill-dark *{
    fill:var(---bs-gray-dark) !important;
}
.svg-fill-main *{
    fill:rgb(var(--main-color)) !important;
}
.svg-fill-support *{
    fill:rgb(var(--support-color)) !important;
}

.svg-container{
    position:relative;
}

.svg-container svg{
    width: 100%;
    height: auto;
}

.svg-container-height svg{
    height: 100%;
    width: auto;
}

.svg-container-reactive{
    cursor: pointer;
    display: inline-block;
}

.svg-container-reactive .svg-reactive, .svg-container-reactive .svg-reactive *{
    fill:rgb(var(--main-color)) !important;
}

.svg-container-reactive:hover .svg-reactive, .svg-container-reactive:hover .svg-reactive *{
    fill:rgb(var(--support-color)) !important;
}

.block-link{
    display: inline-block;
    opacity: .9;
}

.block-link .bg-light{
    background:rgba(var(--main-color), .1) !important;
}

.block-link .btn{
    background:rgb(var(--main-color)) !important;
    color:#FFFFFF !important;
}

.block-link .material-symbols-rounded{
    color:rgb(var(--main-color)) !important;
}

.block-link:hover{
    display: inline-block;
    opacity: 1;
}

.block-link:hover *{
    color:rgb(var(--support-color)) !important;
}

.block-link:hover .btn{
    background:rgb(var(--support-color)) !important;
    color:#FFFFFF !important;
}

.block-link:hover .bg-light{
    background:rgba(var(--support-color), .2) !important;
}

.z-100{
    z-index: 100 !important;
}

.z-110{
    z-index: 110 !important;
}

.z-120{
    z-index: 120 !important;
}

.z-130{
    z-index: 130 !important;
}

.z-140{
    z-index: 140 !important;
}

.z-150{
    z-index: 150 !important;
}

.z-200{
    z-index: 200 !important;
}

.z-1000{
    z-index: 1000 !important;
}

.z-2000{
    z-index: 2000 !important;
}

.image-container {
    position: relative;
    overflow: hidden; /* Cache les parties agrandies de l'image qui dépassent */
    height: 100%;
}

.image-container img {
    width: 100%; /* Assure que l'image occupe toute la largeur du conteneur */
    height: 100%; /* Assure que l'image remplit verticalement le conteneur */
    object-fit: cover; /* Permet à l'image de remplir son conteneur sans déformation */
    transform-origin: center center; /* Définit le centre comme origine de transformation */
    animation: zoomEffect 10s infinite alternate ease-in-out;
}

@keyframes zoomEffect {
    0% {
        transform: scale(1); /* Échelle initiale */
    }
    100% {
        transform: scale(1.1); /* Zoom à 110% */
    }
}

@keyframes zoomEffect {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.1);
    }
}

.icon-fixed {
    width: 2rem;
    height: 2rem;
    display: inline-block;
    text-align: center;
    font-size: inherit;
    line-height: 2rem;
}


.badge-circle{
    height: 2rem;
    font-size: 1rem;
    width: 2rem;
    line-height: 2rem;
    text-align: center;
    display: inline-block;
    border-radius: 50%;
}

.big-badge-circle{
    height: 4rem;
    font-size: 1.15rem;
    width: 4rem;
    line-height: 4rem;
    text-align: center;
    display: inline-block;
    border-radius: 50%;
}
.mega-badge-circle{
    height: 5rem;
    font-size: 1.35rem;
    width: 5rem;
    line-height: 5rem;
    text-align: center;
    display: inline-block;
    border-radius: 50%;
}

.progress-vertical {
    display: flex;
    align-items: center;
    height: 20px;
}

.progress-vertical .bar {
    width: 5px;
    height: 20px;
    border-radius: 3px;
    margin:1px;
}

.form-control-xl{
    font-size: 2rem;
}


button[aria-expanded="true"] .toggle-text::before {
    content: "Réduire";
}

button[aria-expanded="false"] .toggle-text::before {
    content: "Développer";
}

.nav-tabs{
    border: none !important;
}

.nav-tabs .nav-link{
    background-color: rgba(var(--bs-dark-rgb), .2);
    color:rgb(0,0,0, .5);
    border: none !important;
}

.nav-tabs .nav-link.active{
    background-color: rgba(var(--main-color), .2);
    color:rgb(var(--main-color));
    font-weight: bold;
    opacity: 1;
    position:relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-tabs .nav-link.active::after {
    content: "check";
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-weight: normal;
    font-style: normal;
    font-size: 1.25rem;
    line-height: 1rem;
    padding: 0 0 0 5px;
    font-variation-settings:
    'FILL' 1,
    'wght' 900,
    'GRAD' 0,
    'opsz' 24;
    color:  rgb(var(--main-color));
}

.nav-tabs .tab-pane{
    border: none !important;
    background-color: rgba(var(--main-color), .1) !important;
}

#info-section {
    display: none;
}

#toggle-info:checked + #info-section {
    display: block;
}

@keyframes blink-shadow {
    0% {
        box-shadow: 0 0 0 rgba(0, 0, 0, 0.1);
        scale:100%;
    }
    50% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.5);
        scale:102%;
    }
    100% {
        box-shadow: 0 0 0 rgba(0, 0, 0, 0.1);
        scale:100%;
    }
}

.hint-blink {
    animation: blink-shadow 0.5s 10;
}


.fill-white *{
    fill: #FFFFFF;
}

.stroke-white *{
    stroke: #FFFFFF;
}

.fill-primary *{
    fill: rgb(var(--main-color));
}

.stroke-primary *{
    stroke: rgb(var(--main-color));
}

.fill-secondary *{
    fill: rgb(var(--support-color));
}

.stroke-secondary *{
    stroke: rgb(var(--support-color));
}

.summary-container{
    padding-bottom: 3rem;
    position: relative;
}

.summary-container .deployer {
    text-align: center;
    position: relative;
}

.summary-container .deployer span {
    position: absolute;
    font-size: 3rem;
    top: -1.5rem;
    left: calc(50% - 1.5rem);
    font-variation-settings:
    'FILL' 1,
    'wght' 500,
    'GRAD' 0,
    'opsz' 24;
    color:  rgb(var(--main-color));
}

.summary-container.deployed .deployer span {
    color: #CCCCCC;
    transform: rotate(180deg);
}

.summary-container .summary{
    overflow: hidden;
    transition: .5s;
    max-height: 25vh;
    position: relative;
    padding-bottom: 3rem;
}

.summary-container.deployed .summary{
    max-height: 2000px;
}

.upload-container {
    border: 2px dashed #007bff;
    padding: 1rem;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s;
}

.upload-container:hover {
    background-color: #f0f8ff;
}

.file-list {
    margin-top: 1rem;
    text-align: left;
}

.file-item {
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;
    padding: 0.5rem;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #f9f9f9;
}

.card_2fa{
    border: none;
    border-top: 4px solid rgb(var( --main-color));
    max-width: 400px;
}

.file-previews{
    border-radius: .5rem;
    padding: .5rem .5rem 0 .5rem;
    margin: 2rem 0 1rem 0;
    border:2px solid rgb(var( --support-color));
    position: relative;
}

.file-previews::before{
    content: 'Document(s) déjà ajouté(s)';
    position: absolute;
    top: -.5rem;
    line-height: 1rem;
    height: 1rem;
    background-color: #FFF;
    color: rgb(var( --support-color));
    font-weight: bold;
    padding:0 .5rem;
}

.ratio-circle {
    width: 100%;
    aspect-ratio: 1 / 1;
}

.perfect-circle {
    display: inline-block;
    background: #222;
    color: #fff;
    border-radius: 50%;
    padding: 1em;
    line-height: 1;
}

.perfect-circle > .material-symbols-rounded {
    display: block;
}

.form-flashes {
    position: fixed;
    top: 1rem;
    right: 1rem;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    pointer-events: none;
    z-index: 1000;
}

.form-flashes li.success {
    background-color: green;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    margin: 0.25rem 0;
    color: #fff;
    white-space: nowrap;
    list-style: none;
    animation: fadeInOut 6s ease-in-out forwards;
}

.form-flashes li.error, .form-flashes li.danger {
    background-color: red;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    margin: 0.25rem 0;
    color: #fff;
    white-space: nowrap;
    list-style: none;
    animation: fadeInOut 6s ease-in-out forwards;
}

caption{
    opacity: 0;
    font-size: 0;
}
